Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class PojoMetaMethodSite.PojoCachedMethodSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite
                  org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite
                      org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite.PojoCachedMethodSite

    public static class PojoMetaMethodSite.PojoCachedMethodSite
    extends PojoMetaMethodSite

Field Summary

Fields inherited from class PojoMetaMethodSite
version

Fields inherited from class MetaMethodSite
params

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PojoMetaMethodSite.PojoCachedMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

Method Summary
`Object` | `invoke(Object receiver, Object[] args)`

Methods inherited from class PojoMetaMethodSite
call, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, checkPojoMetaClass, createCachedMethodSite, createNonAwareCallSite, createPojoMetaMethodSite, invoke

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PojoMetaMethodSite.PojoCachedMethodSite

    public PojoMetaMethodSite.PojoCachedMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

Method Detail

### invoke

    public Object invoke(Object receiver, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.